Package net.shibboleth.saml.saml2.profile.config

# Interface AttributeQueryProfileConfiguration

All Superinterfaces:
  `AttributeResolvingProfileConfiguration`, `Component`, `IdentifiedComponent`, `ProfileConfiguration`, `SAML2ProfileConfiguration`, `SAMLProfileConfiguration`

public interface AttributeQueryProfileConfiguration extends AttributeResolvingProfileConfiguration, SAML2ProfileConfiguration
Configuration support for SAML 2.0 attribute query profile.

Note that this interface extends neither the assertion producing nor consuming interfaces, as this is specific to IdP and SP behavior.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROFILE_ID`
ID for this profile configuration.

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isClientTLSSOAPRequests(MessageContext messageContext)`
Get whether SOAP-based requests should use client TLS.
`boolean`
`isSignSOAPRequests(MessageContext messageContext)`
Get whether SOAP-based requests should be signed.

### Methods inherited from interface net.shibboleth.profile.config.AttributeResolvingProfileConfiguration

`getAttributeRecipientGroupID, getRequestedIdPAttributeNames, isResolveAttributes`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.saml2.profile.config.SAML2ProfileConfiguration

`isEncryptionOptional, isEncryptNameIDs, isIgnoreRequestSignatures`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Field Details

### PROFILE_ID

@Nonnull @NotEmpty static final String PROFILE_ID
ID for this profile configuration.

See Also:
  - Constant Field Values

## Method Details

### isSignSOAPRequests

boolean isSignSOAPRequests(@Nullable MessageContext messageContext)
Get whether SOAP-based requests should be signed.

Parameters:
  `messageContext` - current message context
Returns:
  whether SOAP-based requests should be signed
Since:
  5.2.0

### isClientTLSSOAPRequests

boolean isClientTLSSOAPRequests(@Nullable MessageContext messageContext)
Get whether SOAP-based requests should use client TLS.

Parameters:
  `messageContext` - current message context
Returns:
  whether SOAP-based requests should use client TLS
Since:
  5.2.0